﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FestoDebugger.UserControls
{
    /// <summary>
    /// FestoControl.xaml 的交互逻辑
    /// </summary>
    public partial class FestoControl : UserControl
    {
        public FestoControl()
        {
            InitializeComponent();
        }

        public static readonly DependencyProperty ModuleNameProperty = DependencyProperty.Register(
        "ModuleName", typeof(string), typeof(FestoControl),
        new FrameworkPropertyMetadata("", FrameworkPropertyMetadataOptions.AffectsRender));
        /// <summary>
        /// 信号名称
        /// </summary>
        public string ModuleName
        {
            get
            {
                return (string)this.GetValue(ModuleNameProperty);
            }
            set
            {
                this.SetValue(ModuleNameProperty, value);
            }
        }

        public static readonly DependencyProperty SignalAOnProperty = DependencyProperty.Register(
            "SignalAOn", typeof(bool), typeof(FestoControl), new FrameworkPropertyMetadata(false, FrameworkPropertyMetadataOptions.AffectsRender));
        /// <summary>
        /// WaferPresent
        /// </summary>
        public bool SignalAOn
        {
            get
            {
                return (bool)this.GetValue(SignalAOnProperty);
            }
            set
            {
                this.SetValue(SignalAOnProperty, value);
            }
        }

        public static readonly DependencyProperty SignalBOnProperty = DependencyProperty.Register(
       "SignalBOn", typeof(bool), typeof(FestoControl), new FrameworkPropertyMetadata(false, FrameworkPropertyMetadataOptions.AffectsRender));
        /// <summary>
        /// WaferPresent
        /// </summary>
        public bool SignalBOn
        {
            get
            {
                return (bool)this.GetValue(SignalBOnProperty);
            }
            set
            {
                this.SetValue(SignalBOnProperty, value);
            }
        }

        private void AOn_Click(object sender, RoutedEventArgs e)
        {

        }

        private void AOff_Click(object sender, RoutedEventArgs e)
        {

        }

        private void BOn_Click(object sender, RoutedEventArgs e)
        {

        }

        private void BOff_Click(object sender, RoutedEventArgs e)
        {

        }
    }
}
